# $Revision: 1.2 $, $Date: 2004/07/12 19:11:23 $
# TODO:
# - fix makefile to build it TheRightWay(TM)
Summary:	Maintain BibTeX files
Summary(pl):	Zarzdzanie plikami BibTeXa
Name:		bibcursed
Version:	2.0.0
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://dl.sourceforge.net/bibcursed/%{name}_%{version}.tar.gz
# Source0-md5:	2579457724f17c23cdac408e4271f2d9
URL:		http://sourceforge.net/projects/bibcursed/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bibcursed is a simple curses-based editor for BibTeX bibliography
files, especially useful for those who have to maintain a large number
of references for a major piece of documentation, like a PhD thesis.
It performs everyday functions such as adding, removing and viewing
reference entries. Intelligent prompting for fields is used when
adding entries so that authors do not have to rely on memory for
knowing which fields can and cannot be used for different entry types.

%description -l pl
Bibcursed to prosty oparty o curses edytor do plikw bibliografii
BibTeXa, przydatny szczeglnie dla tych, ktrzy musz utrzymywa du
liczb odniesie w wikszej czci dokumentacji, jak na przykad
pracach dyplomowych. Program wykonuje codzienne funkcje, takie jak
dodawanie, usuwanie i przegldanie wpisw z odniesieniami. Przy
dodawaniu wpisw uywane s inteligentne pytania dla pl, przez co
autorzy nie musz polega na swojej pamici, eby wiedzie, ktre pola
mog, a ktre nie mog by uyte dla rnych rodzajw wpisw.

%prep
%setup  -q -n %{name}

%build
%{__cc} %{rpmcflags} -I%{_includedir}/ncurses -lncurses -o %{name} bibcursed.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README INSTALL
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bibcursed.spec,v $
Revision 1.2  2004/07/12 19:11:23  qboosh
- pl

Revision 1.1  2004/07/12 17:52:56  blues
- builds, works... STBR
